> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run report



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/PnLReport/RunReport
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/PnLReport/RunReport:
    post:
      tags:
        - PnLReport
      summary: Run report
      operationId: RunReport
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiPnlReportJobRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiPnlReportJobRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiPnlReportJobRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiPnlReportJobRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiPnlReportJobResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiPnlReportJobRequest:
      example:
        final_date: '2000-01-23T04:56:07.000+00:00'
        initial_date: '2000-01-23T04:56:07.000+00:00'
        lookback_period: daily
      properties:
        id:
          format: uuid
          type: string
        report_id:
          format: uuid
          type: string
        run_date:
          format: date-time
          type: string
        market_data_override:
          $ref: '#/components/schemas/MarketDataOverride'
        real_time_mkt_data:
          type: boolean
        run_date_is_today:
          type: boolean
        report_name:
          nullable: true
          type: string
        reporting_currency:
          nullable: true
          type: string
        market_data_environment_names:
          items:
            type: string
          nullable: true
          type: array
        portfolio_name:
          nullable: true
          type: string
        portfolio_type:
          enum:
            - derivitec
            - enfusion
            - not_set
          nullable: true
          type: string
        initial_date:
          format: date-time
          nullable: true
          type: string
        final_date:
          format: date-time
          type: string
        lookback_period:
          enum:
            - daily
            - month_to_date
            - quarter_to_date
            - year_to_date
            - annual
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Reports.ApiPnlReportJobRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiPnlReportJobResponse:
      required:
        - $type
      type: object
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        report_id:
          format: uuid
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Reports.ApiPnlReportJobResponse,
              Derivitec.Web.Core
    MarketDataOverride:
      example:
        discount_curve_overrides:
          - curve_name: curve_name
          - curve_name: curve_name
        andersen_buffum_parameters_overrides:
          - asset_name:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            andersen_buffum_benchmark_spot: 7.061401241503109
            andersen_buffum_alpha: 2.3021358869347655
            reference_date: '2000-01-23T04:56:07.000+00:00'
          - asset_name:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            andersen_buffum_benchmark_spot: 7.061401241503109
            andersen_buffum_alpha: 2.3021358869347655
            reference_date: '2000-01-23T04:56:07.000+00:00'
        recovery_rate_overrides:
          - value: 1.4658129805029452
            key:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
          - value: 1.4658129805029452
            key:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
        equity_vol_surface_spot_model: sticky_strike
        fx_spot_overrides_by_currency:
          - value: 3.5571952270680973
            key: key
          - value: 3.5571952270680973
            key: key
        equity_vol_surface_overrides:
          - asset_name:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
          - asset_name:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
        borrow_curve_overrides:
          - asset_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
          - asset_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
        index_curve_fitting_overrides:
          - curve_name: curve_name
            instrument_set:
              - code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
              - code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
            currency: currency
            instrument_quotes:
              - value: 1.4658129805029452
                key:
                  code: code
                  market_identification_code: market_identification_code
                  identifier_type: Derivitec
              - value: 1.4658129805029452
                key:
                  code: code
                  market_identification_code: market_identification_code
                  identifier_type: Derivitec
          - curve_name: curve_name
            instrument_set:
              - code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
              - code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
            currency: currency
            instrument_quotes:
              - value: 1.4658129805029452
                key:
                  code: code
                  market_identification_code: market_identification_code
                  identifier_type: Derivitec
              - value: 1.4658129805029452
                key:
                  code: code
                  market_identification_code: market_identification_code
                  identifier_type: Derivitec
        bond_prices:
          - date: '2000-01-23T04:56:07.000+00:00'
            bond_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            is_currency_per_bond_unit: true
            currency: currency
            traded_price: 0.8008281904610115
            is_percentage_of_par: true
          - date: '2000-01-23T04:56:07.000+00:00'
            bond_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            is_currency_per_bond_unit: true
            currency: currency
            traded_price: 0.8008281904610115
            is_percentage_of_par: true
        equity_vol_grid_overrides:
          - asset_id:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
          - asset_id:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
        index_curve_overrides:
          - curve_name: curve_name
          - curve_name: curve_name
        cmdty_spot_overrides:
          - value: 3.5571952270680973
            key: key
          - value: 3.5571952270680973
            key: key
        discount_curve_fitting_overrides:
          - curve_name: curve_name
            instrument_set:
              - code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
              - code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
            currency: currency
            instrument_quotes:
              - value: 1.4658129805029452
                key:
                  code: code
                  market_identification_code: market_identification_code
                  identifier_type: Derivitec
              - value: 1.4658129805029452
                key:
                  code: code
                  market_identification_code: market_identification_code
                  identifier_type: Derivitec
          - curve_name: curve_name
            instrument_set:
              - code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
              - code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
            currency: currency
            instrument_quotes:
              - value: 1.4658129805029452
                key:
                  code: code
                  market_identification_code: market_identification_code
                  identifier_type: Derivitec
              - value: 1.4658129805029452
                key:
                  code: code
                  market_identification_code: market_identification_code
                  identifier_type: Derivitec
        equity_spot_overrides:
          - value: 1.4658129805029452
            key:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
          - value: 1.4658129805029452
            key:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
        dividends_overrides:
          - use_forward_dividend_yields: true
            asset_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            dividends:
              declared_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              pay_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              all_in_rates:
                - 1.4658129805029452
                - 1.4658129805029452
              ex_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              div_types:
                - Regular
                - Regular
              confirmed_flags:
                - true
                - true
              cash_divs:
                - 5.962133916683182
                - 5.962133916683182
              div_yields:
                - 5.637376656633329
                - 5.637376656633329
              reference_date: '2000-01-23T04:56:07.000+00:00'
              record_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              currencies:
                - currencies
                - currencies
            dividend_yields:
              - value: 5.637376656633329
                key: 5
              - value: 5.637376656633329
                key: 5
          - use_forward_dividend_yields: true
            asset_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            dividends:
              declared_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              pay_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              all_in_rates:
                - 1.4658129805029452
                - 1.4658129805029452
              ex_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              div_types:
                - Regular
                - Regular
              confirmed_flags:
                - true
                - true
              cash_divs:
                - 5.962133916683182
                - 5.962133916683182
              div_yields:
                - 5.637376656633329
                - 5.637376656633329
              reference_date: '2000-01-23T04:56:07.000+00:00'
              record_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              currencies:
                - currencies
                - currencies
            dividend_yields:
              - value: 5.637376656633329
                key: 5
              - value: 5.637376656633329
                key: 5
        bond_yield_curve_overrides:
          - reference_curve_discount_factors:
              - 0.8008281904610115
              - 0.8008281904610115
            bond_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            reference_curve_name: reference_curve_name
            reference_curve_maturities:
              - 6
              - 6
            bond_issuer: bond_issuer
            debt_type: debt_type
          - reference_curve_discount_factors:
              - 0.8008281904610115
              - 0.8008281904610115
            bond_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            reference_curve_name: reference_curve_name
            reference_curve_maturities:
              - 6
              - 6
            bond_issuer: bond_issuer
            debt_type: debt_type
        fx_spot_currency: fx_spot_currency
      properties:
        bond_prices:
          items:
            $ref: '#/components/schemas/BondDataExternal'
          nullable: true
          type: array
        bond_yield_curve_overrides:
          items:
            $ref: '#/components/schemas/BondYieldCurveOverride'
          nullable: true
          type: array
        discount_curve_overrides:
          items:
            $ref: '#/components/schemas/DiscountCurveOverride'
          nullable: true
          type: array
        discount_curve_fitting_overrides:
          items:
            $ref: '#/components/schemas/CurveFittingOverride'
          nullable: true
          type: array
        index_curve_overrides:
          items:
            $ref: '#/components/schemas/DiscountCurveOverride'
          nullable: true
          type: array
        index_curve_fitting_overrides:
          items:
            $ref: '#/components/schemas/CurveFittingOverride'
          nullable: true
          type: array
        equity_spot_overrides:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        equity_vol_grid_overrides:
          items:
            $ref: '#/components/schemas/EquityVolGrid'
          nullable: true
          type: array
        equity_vol_surface_overrides:
          items:
            $ref: '#/components/schemas/EquityVolSurface'
          nullable: true
          type: array
        equity_vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
        borrow_curve_overrides:
          items:
            $ref: '#/components/schemas/BorrowCurveOverride'
          nullable: true
          type: array
        dividends_overrides:
          items:
            $ref: '#/components/schemas/DividendsOverride'
          nullable: true
          type: array
        cmdty_spot_overrides:
          items:
            $ref: '#/components/schemas/StringDoubleKeyValuePair'
          nullable: true
          type: array
        fx_spot_currency:
          nullable: true
          type: string
        fx_spot_overrides_by_currency:
          items:
            $ref: '#/components/schemas/StringDoubleKeyValuePair'
          nullable: true
          type: array
        andersen_buffum_parameters_overrides:
          items:
            $ref: '#/components/schemas/AndersenBuffumParameters'
          nullable: true
          type: array
        recovery_rate_overrides:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.MarketDataOverride,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    BondDataExternal:
      example:
        date: '2000-01-23T04:56:07.000+00:00'
        bond_identifier:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
        is_currency_per_bond_unit: true
        currency: currency
        traded_price: 0.8008281904610115
        is_percentage_of_par: true
      properties:
        provider_id:
          nullable: true
          type: string
        bond_identifier:
          $ref: '#/components/schemas/InstrumentIdentifier'
        currency:
          nullable: true
          type: string
        traded_price:
          format: double
          type: number
        date:
          format: date-time
          type: string
        is_percentage_of_par:
          type: boolean
        is_currency_per_bond_unit:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.BondDataExternal, Derivitec.Web.Core
      required:
        - $type
      type: object
    BondYieldCurveOverride:
      example:
        reference_curve_discount_factors:
          - 0.8008281904610115
          - 0.8008281904610115
        bond_identifier:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
        reference_curve_name: reference_curve_name
        reference_curve_maturities:
          - 6
          - 6
        bond_issuer: bond_issuer
        debt_type: debt_type
      properties:
        currency:
          nullable: true
          type: string
        discount_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        bond_issuer:
          nullable: true
          type: string
        debt_type:
          nullable: true
          type: string
        bond_identifier:
          $ref: '#/components/schemas/InstrumentIdentifier'
        reference_curve_name:
          nullable: true
          type: string
        reference_curve_discount_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        reference_curve_maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.BondYieldCurveOverride,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    DiscountCurveOverride:
      example:
        curve_name: curve_name
      properties:
        currency:
          nullable: true
          type: string
        discount_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        curve_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.DiscountCurveOverride,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CurveFittingOverride:
      example:
        curve_name: curve_name
        instrument_set:
          - code: code
            market_identification_code: market_identification_code
            identifier_type: Derivitec
          - code: code
            market_identification_code: market_identification_code
            identifier_type: Derivitec
        currency: currency
        instrument_quotes:
          - value: 1.4658129805029452
            key:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
          - value: 1.4658129805029452
            key:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
      properties:
        currency:
          nullable: true
          type: string
        curve_name:
          nullable: true
          type: string
        instrument_set:
          items:
            $ref: '#/components/schemas/InstrumentIdentifier'
          nullable: true
          type: array
        instrument_quotes:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.CurveFittingOverride,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    InstrumentIdentifierDoubleKeyValuePair:
      example:
        value: 1.4658129805029452
        key:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
      properties:
        key:
          $ref: '#/components/schemas/InstrumentIdentifier'
        value:
          format: double
          type: number
      type: object
    EquityVolGrid:
      example:
        asset_id:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
      properties:
        provider_id:
          nullable: true
          type: string
        maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        reference_date:
          format: date-time
          type: string
        strikes:
          items:
            items:
              format: double
              type: number
            type: array
          nullable: true
          type: array
        strike_type:
          enum:
            - absolute
            - percent_spot
            - percent_forward
          type: string
        spot_ref:
          format: double
          nullable: true
          type: number
        vols:
          items:
            items:
              format: double
              type: number
            type: array
          nullable: true
          type: array
        asset_id:
          $ref: '#/components/schemas/InstrumentIdentifier'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.EquityVolGrid, Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityVolSurface:
      example:
        asset_name:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
      properties:
        provider_id:
          nullable: true
          type: string
        benchmark_fwd_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        benchmark_maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        call_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        put_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        reference_date:
          format: date-time
          type: string
        skews:
          items:
            format: double
            type: number
          nullable: true
          type: array
        smiles:
          items:
            format: double
            type: number
          nullable: true
          type: array
        spot_ref:
          format: double
          type: number
        vols:
          items:
            format: double
            type: number
          nullable: true
          type: array
        asset_name:
          $ref: '#/components/schemas/InstrumentIdentifier'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.EquityVolSurface, Derivitec.Web.Core
      required:
        - $type
      type: object
    BorrowCurveOverride:
      example:
        asset_identifier:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
      properties:
        currency:
          nullable: true
          type: string
        discount_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        asset_identifier:
          $ref: '#/components/schemas/InstrumentIdentifier'
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.BorrowCurveOverride,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    DividendsOverride:
      example:
        use_forward_dividend_yields: true
        asset_identifier:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
        dividends:
          declared_dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          pay_dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          all_in_rates:
            - 1.4658129805029452
            - 1.4658129805029452
          ex_dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          div_types:
            - Regular
            - Regular
          confirmed_flags:
            - true
            - true
          cash_divs:
            - 5.962133916683182
            - 5.962133916683182
          div_yields:
            - 5.637376656633329
            - 5.637376656633329
          reference_date: '2000-01-23T04:56:07.000+00:00'
          record_dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          currencies:
            - currencies
            - currencies
        dividend_yields:
          - value: 5.637376656633329
            key: 5
          - value: 5.637376656633329
            key: 5
      properties:
        asset_identifier:
          $ref: '#/components/schemas/InstrumentIdentifier'
        dividends:
          $ref: '#/components/schemas/Dividends'
        dividend_yields:
          items:
            $ref: '#/components/schemas/Int32DoubleKeyValuePair'
          nullable: true
          type: array
        use_forward_dividend_yields:
          type: boolean
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.DividendsOverride,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    StringDoubleKeyValuePair:
      example:
        value: 3.5571952270680973
        key: key
      properties:
        key:
          nullable: true
          type: string
        value:
          format: double
          type: number
      type: object
    AndersenBuffumParameters:
      example:
        asset_name:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
        andersen_buffum_benchmark_spot: 7.061401241503109
        andersen_buffum_alpha: 2.3021358869347655
        reference_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        provider_id:
          nullable: true
          type: string
        andersen_buffum_alpha:
          format: double
          type: number
        andersen_buffum_benchmark_spot:
          format: double
          type: number
        asset_name:
          $ref: '#/components/schemas/InstrumentIdentifier'
        reference_date:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.AndersenBuffumParameters,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    InstrumentIdentifier:
      example:
        code: code
        market_identification_code: market_identification_code
        identifier_type: Derivitec
      properties:
        code:
          nullable: true
          type: string
        identifier_type:
          enum:
            - Derivitec
            - Ric
            - Bloomberg
            - Isin
            - Figi
            - Sedol
            - RedCode
            - RedPairCode
            - BloombergYellow
            - XIgniteCode
            - CBondsId
            - EdiSecId
            - EdiSymbol
            - NotSet
          type: string
        market_identification_code:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.InstrumentIdentifier,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    Dividends:
      example:
        declared_dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        pay_dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        all_in_rates:
          - 1.4658129805029452
          - 1.4658129805029452
        ex_dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        div_types:
          - Regular
          - Regular
        confirmed_flags:
          - true
          - true
        cash_divs:
          - 5.962133916683182
          - 5.962133916683182
        div_yields:
          - 5.637376656633329
          - 5.637376656633329
        reference_date: '2000-01-23T04:56:07.000+00:00'
        record_dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        currencies:
          - currencies
          - currencies
      properties:
        all_in_rates:
          items:
            format: double
            type: number
          nullable: true
          type: array
        cash_divs:
          items:
            format: double
            type: number
          nullable: true
          type: array
        confirmed_flags:
          items:
            type: boolean
          nullable: true
          type: array
        currencies:
          items:
            type: string
          nullable: true
          type: array
        declared_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        div_types:
          items:
            enum:
              - Regular
              - Extraordinary
              - Scrip
            type: string
          nullable: true
          type: array
        div_yields:
          items:
            format: double
            type: number
          nullable: true
          type: array
        ex_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        pay_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        record_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        reference_date:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.Dividends, Derivitec.Web.Core
      required:
        - $type
      type: object
    Int32DoubleKeyValuePair:
      example:
        value: 5.637376656633329
        key: 5
      properties:
        key:
          format: int32
          type: integer
        value:
          format: double
          type: number
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````